# Poop & Eat Simulator ("A Game of Life of some sorts")

**Author:** bdnugget

## Description
A weird Tamagotchi-style game for Arduino, where you must balance eating food and pooping. If you eat too much, don't poop enough, or let your food run out, you lose! The game is displayed on a 128x64 OLED with a yellow status bar and a blue animation area. Two buttons let you feed or poop. Try to survive as long as you can!

## Hardware Requirements
- Arduino Uno (or compatible)
- 128x64 I2C OLED display (SSD1306-based, yellow/blue)
- 2x push buttons
- Breadboard and jumper wires

## Wiring
- **OLED Display:**
  - VCC → 5V
  - GND → GND
  - SCL → A5 (Uno)
  - SDA → A4 (Uno)
- **Buttons:**
  - One side of each button to GND
  - Other side of button 1 to pin 2 (Feed)
  - Other side of button 2 to pin 3 (Poop)
  - No external resistors needed (uses Arduino's internal pull-ups)

## Software Requirements
- [Adafruit SSD1306](https://github.com/adafruit/Adafruit_SSD1306)
- [Adafruit GFX Library](https://github.com/adafruit/Adafruit-GFX-Library)
- [Adafruit BusIO](https://github.com/adafruit/Adafruit_BusIO)
- Wire (comes with Arduino)
- SPI (comes with Arduino)

Install these libraries via the Arduino Library Manager or manually from GitHub.

## How to Build & Upload
1. Open `strontgame.ino` in the Arduino IDE.
2. Select your board (Arduino Uno) and port.
3. Make sure the required libraries are installed.
4. Click Upload.

## How to Play
- Press the **Feed** button to increase food (and a bit of poop).
- Press the **Poop** button to decrease poop.
- If food runs out, you starve.
- If food is maxed, you explode.
- If poop is maxed, you explode from poop.
- If poop is empty, you suffer from constipation.

## Screenshots

![Gameplay example 1](lol1.jpg)
*Status bars and stick figure in action*

![Gameplay example 2](lol2.jpg)
*Game over screen with poop*

Enjoy your new digital life! 